classification
Title: Solaris term.h needs curses.h
Type: behavior Stage: resolved
Components: Build Versions:
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: anthonybaxter Nosy List: ajaksu2, akuchling, anthonybaxter, loewis, nnorwitz
Priority: normal Keywords:

Created on 2003-10-28 06:53 by anthonybaxter, last changed 2009-05-12 17:08 by ajaksu2. This issue is now closed.

Files
File name Uploaded Description Edit
configure-solaris-term.h anthonybaxter, 2003-10-28 06:53 configure.in and configure patch
Messages (7)
msg18778 - (view) Author: Anthony Baxter (anthonybaxter) (Python triager) Date: 2003-10-28 06:53
Solaris' term.h requires curses.h to be included first.
This 
causes the configure script to emit lines about a bug in 
autoconf. From the autoconf mailing lists, their standard 
response is to fix the configure script, see e.g. 
http://mail.gnu.org/archive/html/bug-autoconf/2003-05/msg00118.html

The following patch against 2.3 branch for configure
and configure.in makes things a bit happier. 

Note that Include/py_curses.h already includes curses.h 
before term.h, this just fixes the breakage of configure.
msg18779 - (view) Author: Neal Norwitz (nnorwitz) * (Python committer) Date: 2003-10-28 13:08
Logged In: YES 
user_id=33168

Should the #if be an #ifdef ?  Looks fine to me, but I don't
know much about autoconf. :-)  I think Martin is the expert.
 Martin do you have an opinion?
msg18780 - (view) Author: Anthony Baxter (anthonybaxter) (Python triager) Date: 2003-10-29 01:38
Logged In: YES 
user_id=29957

Dunno if #ifdef is better or not - I just worked from the
example in the attached autoconf mailing list message.
msg18781 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2003-10-31 15:22
Logged In: YES 
user_id=21627

I find it confusing that the test for curses.h already
refers to HAVE_CURSES_H; I think you should first check for
curses.h, and then use HAVE_CURSES_H in the test for term.h

I also agree that #ifdef is better than #if, even though it
should not matter in an ISO C compiler (which replaces
undefined symbols by 0 in an #if).
msg18782 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2007-01-05 14:33
Is this bug still relevant to Python 2.5?
msg82017 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-02-14 11:36
Is the configure script still emitting lines about a bug in 
autoconf on Solaris?
msg87641 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-05-12 17:08
Closing on lack of feedback.
History
Date User Action Args
2009-05-12 17:08:40ajaksu2setstatus: pending -> closed
resolution: rejected
messages: + msg87641

stage: resolved
2009-04-05 18:25:41georg.brandlsetstatus: open -> pending
2009-02-14 11:36:06ajaksu2setnosy: + ajaksu2
type: behavior
messages: + msg82017
2003-10-28 06:53:44anthonybaxtercreate